Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.repositories
[Java] Interface MavenArtifactRepository

    org.gradle.api.artifacts.repositories.MavenArtifactRepository
      org.gradle.api.artifacts.repositories.AuthenticationSupported
          org.gradle.api.artifacts.repositories.ArtifactRepository

All Superinterfaces:
  AuthenticationSupported, ArtifactRepository

    public interface MavenArtifactRepository
    extends ArtifactRepository, AuthenticationSupported

An artifact repository which uses a Maven format to store artifacts and meta-data.

Method Summary
`void` | `artifactUrls(java.lang.Object... urls)` Adds some additional URLs to use to find artifact files.
`java.util.Set` | `getArtifactUrls()` Returns the additional URLs to use to find artifact files.
`java.net.URI` | `getUrl()` The base URL of this repository.
`void` | `setArtifactUrls(java.lang.Iterable urls)` Sets the additional URLs to use to find artifact files.
`void` | `setUrl(java.lang.Object url)` Sets the base URL of this repository.

Methods inherited from interface AuthenticationSupported
credentials, getCredentials

Methods inherited from interface ArtifactRepository
getName, setName

Method Detail

### artifactUrls

    public void artifactUrls(java.lang.Object... urls)

  Adds some additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

  The provided values are evaluated as for Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `urls` - The URLs to add.

### getArtifactUrls

    public java.util.Set getArtifactUrls()

  Returns the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.
  Returns:
    The additional URLs. Returns an empty list if there are no such URLs.

### getUrl

    public java.net.URI getUrl()

  The base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls(Iterable).
  Returns:
    The URL.

### setArtifactUrls

    public void setArtifactUrls(java.lang.Iterable urls)

  Sets the additional URLs to use to find artifact files. Note that these URLs are not used to find POM files.

  The provided values are evaluated as for Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `urls` - The URLs.

### setUrl

    public void setUrl(java.lang.Object url)

  Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls(Iterable).

  The provided value is evaluated as for Project.uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

  Parameters:
    `url` - The base URL.

Groovy Documentation